{% extends "index.html" %}
{% load crispy_forms_filters %}
{% load static %}

{% block content %}
    <div>
        <table class="table table-dark table-striped">
            <thead>
            <tr>
                <th scope="col">Avatar</th>
                <th scope="col">First name</th>
                <th scope="col">Last name</th>
                <th scope="col">Email</th>
                <th scope="col">Birth date</th>
                <th scope="col">Age</th>
                <th scope="col">Grade</th>
                <th scope="col">CV</th>
            </tr>
            </thead>
            <tbody>
            {% for student in students %}
                <tr>
                    {% if student.avatar %}
                        <td><img src="{{ student.avatar.url }}" alt="Avatar" width="30" height="30"></td>
                    {% else %}
                         <td><img alt="Default avatar" src="{% static "img/default_avatar.png" %}" width="30" height="30"></td>
                    {% endif %}
                    <td>{{ student.first_name }}</td>
                    <td>{{ student.last_name }}</td>
                    <td>{{ student.email }}</td>
                    {% if student.birth_date %}
                        <td>{{ student.birth_date }}</td>
                        <td>{{ student.age }}</td>
                    {% else %}
                        <td>Not available</td>
                        <td>Invalid birth date</td>
                    {% endif %}
                    <td>{{ student.grade }}</td>
                    {% if student.cv %}
                        <td><a href="{{ student.cv.url }}">CV</a></td>
                    {% else %}
                        <td>No CV available.</td>
                    {% endif %}
                    <th>
                        <a type="button" class="btn btn-warning" href="{% url "students:update_student" student.pk %}">Edit</a>
                    </th>
                    <th>
                        <a type="button" class="btn btn-danger" href="{% url "students:delete_student" student.pk %}">Delete</a>
                    </th>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock content %}


{% block header %}
<a class="nav-link" href="{% url 'students:create_student' %}">Add new student</a>
{% endblock header %}
